# Replication Package for Paper FSE-127

This is a replication package for the paper **An Empirical Study of Bots in Software Development --- Characteristics and Challenges from a Practitioner's Perspective**. The package contains files to allow investigation of data collection instruments and data analysis. 

This package include the following structure:

```
. 
+-- Data Collection/          # Files used to collect data from practitioners
|   +-- Interview Guide.pdf 
|   +-- Survey_Report.pdf 
|
+-- Analysis/                 # Files and scrips used to analyse data
|   +-- plots/                # Plots used in the paper, generated by scripts
|   +-- scripts/              # R scripts and CSV files.
|   +-- analysis_package.html # Rendered R Markdown file describing our code
```

## Where to start?

If you are interested in ...

* The code for our **analysis**, read the `analysis_package.html` file.
* What we **asked practitioners**, read `Interview Guide.pdf` followed by our `Survey_Report.pdf`.
* Checking and changing our code, open `analysis_package.R`. We recommend creating an [R Studio](https://rstudio.com/) project. 

**Note:** Make sure you have the latest version of R installed. We used `R version 3.6.2 (2019-12-12)`